# Class TCefMenuButtonRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMenuButton

## Declaration

`type TCefMenuButtonRef = class(TCefLabelButtonRef, ICefMenuButton)`

## Description

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_capi.h">CEF source file: /include/capi/views/cef_menu_button_capi.h (cef_menu_button_t))

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefViewRef
- TCefButtonRef
- TCefLabelButtonRef
- TCefMenuButtonRef

## Overview

### Methods

| `procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);`
| `procedure TriggerMenu;`
| `class function UnWrap(data: Pointer): ICefMenuButton;`
| `class function CreateMenuButton(const delegate: ICefMenuButtonDelegate; const text: ustring): ICefMenuButton;`

## Description

### Methods

| `procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);`
Show a menu with contents |menu_model|. |screen_point| specifies the menu position in screen coordinates. |anchor_position| specifies how the menu will be anchored relative to |screen_point|. This function should be called from ICefMenuButtonDelegate.OnMenuButtonPressed().

| `procedure TriggerMenu;`
Show the menu for this button. Results in a call to ICefMenuButtonDelegate.OnMenuButtonPressed().

| `class function UnWrap(data: Pointer): ICefMenuButton;`
Returns a ICefMenuButton instance using a PCefMenuButton data pointer.

| `class function CreateMenuButton(const delegate: ICefMenuButtonDelegate; const text: ustring): ICefMenuButton;`
Create a new MenuButton. A |delegate| must be provided to call show_menu() when the button is clicked. |text| will be shown on the MenuButton and used as the default accessible name. If |with_frame| is true (1) the button will have a visible frame at all times, center alignment, additional padding and a default minimum size of 70x33 DIP. If |with_frame| is false (0) the button will only have a visible frame on hover/press, left alignment, less padding and no default minimum size.

Generated by PasDoc 0.16.0-snapshot.